API ReferenceapicommsPOST /v1/webhooks/email

POST /v1/webhooks/email

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "brand_id": {
      "type": "string",
      "minLength": 1
    },
    "recipient_email": {
      "type": "string",
      "format": "email"
    }
  },
  "required": [
    "brand_id",
    "recipient_email"
  ]
}

Responses

200 Webhook processed

{
  "type": "object",
  "properties": {
    "action": {
      "type": "string",
      "enum": [
        "suppressed",
        "ignored"
      ]
    },
    "type": {
      "type": "string"
    },
    "vendor_message_id": {
      "type": "string"
    }
  },
  "required": [
    "action",
    "type",
    "vendor_message_id"
  ]
}

400 Webhook verification failed

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://comms.platform.loop.health/v1/webhooks/email \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'